function [Hr,w,a,L] = Hr_Tipo1(h)
%UNTITLED Summary of this function goes here
%   Hr = respuesta en amplitud
%   w = 500 frecuencias de 0 a pi en las que se calcula la Hr
%   a = Coeficientes del filtro tipo 1
%   L = Orden de Hr
%   h = Respuesta al impulso

M = length(h); L = (M-1)/2;
a = [h(L+1) 2*h(L:-1:1)];
n = [0:1:L];
w = [0:1:500]'*pi/500;
Hr = cos(w*n)*a';

end

