function [Hr,w,d,L] = Hr_Tipo4(h)
%UNTITLED Summary of this function goes here
%   Hr = respuesta en amplitud
%   w = 500 frecuencias de 0 a pi en las que se calcula la Hr
%   d = Coeficientes del filtro tipo 4
%   L = Orden de Hr
%   h = Respuesta al impulso

M = length(h); L = M/2;
d = 2*[h(L:-1:1)];
n = [1:1:L];
n = n-0.5;
w = [0:1:500]'*pi/500;
Hr = sin(w*n)*d';

end

