function [db,mag,pha,grd,w] = freqz_m(b,a)
%UNTITLED4 Summary of this function goes here
%db     Magnitud relativa en dB calculada de 0 a pi radianes
%mag    Magnitud absoluta
%pha    Respuesta en fase
%grd    Group delay
%w      501 frecuencias de 0 a pi radianes
%b      numerador de H(z), h
%a      1

[H,w] = freqz(b,a,1000,'whole');
H = (H(1:1:501))'; w = (w(1:1:501))';
mag = abs(H);
db = 20*log10((mag+eps)/max(mag));
pha = angle(H);
grd = grpdelay(b,a,w);

end

