function [Hr,w,c,L] = Hr_Tipo3(h)
%UNTITLED Summary of this function goes here
%   Hr = respuesta en amplitud
%   w = 500 frecuencias de 0 a pi en las que se calcula la Hr
%   c = Coeficientes del filtro tipo 3
%   L = Orden de Hr
%   h = Respuesta al impulso

M = length(h); L = (M-1)/2;
c = [2*h(L+1:-1:1)];
n = [0:1:L];
n = n-0.5;
w = [0:1:500]'*pi/500;
Hr = sin(w*n)*c';

end

